PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_io_segment_video Struct Reference
SPA » Node

video frame segment More...

`#include <spa/node/io.h>`

## Data Fields
uint32_t | flags
| flags
uint32_t | offset
| offset in segment
struct spa_fraction | framerate
uint32_t | hours
uint32_t | minutes
uint32_t | seconds
uint32_t | frames
uint32_t | field_count
| 0 for progressive, 1 and 2 for interlaced
uint32_t | padding [11]

## Detailed Description

video frame segment

## Field Documentation

## ◆ flags

uint32_t spa_io_segment_video::flags

flags

## ◆ offset

uint32_t spa_io_segment_video::offset

offset in segment

## ◆ framerate

struct spa_fraction spa_io_segment_video::framerate

## ◆ hours

uint32_t spa_io_segment_video::hours

## ◆ minutes

uint32_t spa_io_segment_video::minutes

## ◆ seconds

uint32_t spa_io_segment_video::seconds

## ◆ frames

uint32_t spa_io_segment_video::frames

## ◆ field_count

uint32_t spa_io_segment_video::field_count

0 for progressive, 1 and 2 for interlaced

## ◆ padding

uint32_t spa_io_segment_video::padding[11]

The documentation for this struct was generated from the following file:

- spa/node/io.h